# airport.cpp File Reference

Functions related to airports. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "airport.h"`
`#include "table/airport_movement.h"`
`#include "core/alloc_func.hpp"`
`#include "date_func.h"`
`#include "settings_type.h"`
`#include "table/airporttile_ids.h"`
`#include "table/airport_defaults.h"`
`#include "table/airporttiles.h"`

Go to the source code of this file.

## Functions
void | InitializeAirports ()
void | UnInitializeAirports ()
static uint16 | AirportGetNofElements (const AirportFTAbuildup *apFA)
| Get the number of elements of a source Airport state automata Since it is actually just a big array of AirportFTA types, we only know one element from the other by differing 'position' identifiers.
static AirportFTA * | AirportBuildAutomata (uint nofelements, const AirportFTAbuildup *apFA)
static byte | AirportGetTerminalCount (const byte *terminals, byte *groups)
| We calculate the terminal/helipod count based on the data passed to us This data (terminals) contains an index as a first element as to how many groups there are, and then the number of terminals for each group.
static byte | AirportTestFTA (uint nofelements, const AirportFTA *layout, const byte *terminals)
const AirportFTAClass * | GetAirport (const byte airport_type)
## Variables
static AirportFTAClass * | _dummy_airport
static AirportFTAClass * | _country_airport
static AirportFTAClass * | _city_airport
static AirportFTAClass * | _oilrig
static AirportFTAClass * | _heliport
static AirportFTAClass * | _metropolitan_airport
static AirportFTAClass * | _international_airport
static AirportFTAClass * | _commuter_airport
static AirportFTAClass * | _heli_depot
static AirportFTAClass * | _intercontinental_airport
static AirportFTAClass * | _heli_station

## Detailed Description

Functions related to airports.

Definition in file airport.cpp.